%define		package	HttpKernel
%define		php_min_version 5.3.9
Summary:	Symfony2 HttpKernel Component
Name:		php-symfony2-HttpKernel
Version:	2.8.52
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	c10b900ef39d415dec96069555a67a13
URL:		https://symfony.com/doc/2.8/components/http_kernel.htmlintroduction.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(hash)
Requires:	php(json)
Requires:	php(pcre)
Requires:	php(session)
Requires:	php(spl)
Requires:	php(tokenizer)
Requires:	php-dirs >= 1.6
Requires:	php-psr-Log >= 1.0
Requires:	php-symfony2-Debug >= 2.6.2
Requires:	php-symfony2-EventDispatcher >= 2.6.7
Requires:	php-symfony2-HttpFoundation >= 2.5.4
Suggests:	php-symfony2-BrowserKit
Suggests:	php-symfony2-ClassLoader
Suggests:	php-symfony2-Config
Suggests:	php-symfony2-Console
Suggests:	php-symfony2-DependencyInjection
Suggests:	php-symfony2-Finder
#Suggests:	php-symfony2-VarDumper
Conflicts:	php-symfony2-Config < 2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HttpKernel Component provides a structured process for converting
a Request into a Response by making use of the event dispatcher. It's
flexible enough to create a full-stack framework (Symfony), a
micro-framework (Silex) or an advanced CMS system (Drupal).

%prep
%setup -q -n http-kernel-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/HttpKernel
%{php_data_dir}/Symfony/Component/HttpKernel/*.php
%{php_data_dir}/Symfony/Component/HttpKernel/Bundle
%{php_data_dir}/Symfony/Component/HttpKernel/CacheClearer
%{php_data_dir}/Symfony/Component/HttpKernel/CacheWarmer
%{php_data_dir}/Symfony/Component/HttpKernel/Config
%{php_data_dir}/Symfony/Component/HttpKernel/Controller
%{php_data_dir}/Symfony/Component/HttpKernel/DataCollector
%{php_data_dir}/Symfony/Component/HttpKernel/Debug
%{php_data_dir}/Symfony/Component/HttpKernel/DependencyInjection
%{php_data_dir}/Symfony/Component/HttpKernel/Event
%{php_data_dir}/Symfony/Component/HttpKernel/EventListener
%{php_data_dir}/Symfony/Component/HttpKernel/Exception
%{php_data_dir}/Symfony/Component/HttpKernel/Fragment
%{php_data_dir}/Symfony/Component/HttpKernel/HttpCache
%{php_data_dir}/Symfony/Component/HttpKernel/Log
%{php_data_dir}/Symfony/Component/HttpKernel/Profiler
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-HttpKernel.git;a=log;h=master

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> e81465d
- Update to 2.8.52

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c657f29
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> e3c5f3d
- up to 2.7.8

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 4ba3441
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> babb80a
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 5f4ce28
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 61e9def
- up to 2.7.7; use autoload.php for autoload name

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> 9b09c27
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 1826c76
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 8bf7a55
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> a2390a7
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 2ce7073
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 81d9257
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 72b291e
- revised deps

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> be71857
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 71064ab
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> efe2989
- initial add. version 2.1.4

